Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slaqr1

    java.lang.Object
      org.netlib.lapack.Slaqr1

    public class Slaqr1

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *       Given a 2-by-2 or 3-by-3 matrix H, SLAQR1 sets v to a
     *       scalar multiple of the first column of the product
     *
     *       (*)  K = (H - (sr1 + i*si1)*I)*(H - (sr2 + i*si2)*I)
     *
     *       scaling to avoid overflows and most underflows. It
     *       is assumed that either
     *
     *               1) sr1 = sr2 and si1 = -si2
     *           or
     *               2) si1 = si2 = 0.
     *
     *       This is useful for starting double implicit shift bulges
     *       in the QR algorithm.
     *
     *
     *       N      (input) integer
     *              Order of the matrix H. N must be either 2 or 3.
     *
     *       H      (input) REAL array of dimension (LDH,N)
     *              The 2-by-2 or 3-by-3 matrix H in (*).
     *
     *       LDH    (input) integer
     *              The leading dimension of H as declared in
     *              the calling procedure.  LDH.GE.N
     *
     *       SR1    (input) REAL
     *       SI1    The shifts in (*).
     *       SR2
     *       SI2
     *
     *       V      (output) REAL array of dimension N
     *              A scalar multiple of the first column of the
     *              matrix K in (*).
     *
     *     ================================================================
     *     Based on contributions by
     *        Karen Braman and Ralph Byers, Department of Mathematics,
     *        University of Kansas, USA
     *
     *     ================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Slaqr1()`

Method Summary
`static void` | `slaqr1(int n, float[] h, int _h_offset, int ldh, float sr1, float si1, float sr2, float si2, float[] v, int _v_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slaqr1

    public Slaqr1()

Method Detail

### slaqr1

    public static void slaqr1(int n,
                              float[] h,
                              int _h_offset,
                              int ldh,
                              float sr1,
                              float si1,
                              float sr2,
                              float si2,
                              float[] v,
                              int _v_offset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD